Bug 207202 - Review Request: bes - Back-end server software framework for OPeNDAP
Review Request: bes - Back-end server software framework for OPeNDAP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-19 17:32 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 04:32:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-09-19 17:32:10 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/bes.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/bes-3.2.0-1.src.rpm
Description: 
BES is a new, high-performance back-end server software framework for
OPeNDAP that allows data providers more flexibility in providing end
users views of their data. The current OPeNDAP data objects (DAS, DDS,
and DataDDS) are still supported, but now data providers can add new data
views, provide new functionality, and new features to their end users
through the BES modular design. Providers can add new data handlers, new
data objects/views, the ability to define views with constraints and
aggregation, the ability to add reporting mechanisms, initialization
hooks, and more.
Comment 1 Bernard Johnson 2006-12-08 06:25:38 EST
I will provide you a review.  As I understand it, since you already have
packages in FE, you do not need a sponsor.

rpmlint on the srpm is clean.

When I try to mock-build the package (FC6), the build terminates with:
checking for a readline compatible library... no
configure: error: I could not find the readline library!
error: Bad exit status from /var/tmp/rpm-tmp.14834 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.14834 (%build)


Please correct this an repost your spec and srpm.
Comment 2 Patrice Dumas 2006-12-08 09:04:07 EST
(In reply to comment #1)
> I will provide you a review.  As I understand it, since you already have
> packages in FE, you do not need a sponsor.

Yes, I own some packages ;-)

> rpmlint on the srpm is clean.

It is also clean on the binary rpms, isn't it?

> When I try to mock-build the package (FC6), the build terminates with:
> checking for a readline compatible library... no
> configure: error: I could not find the readline library!
> error: Bad exit status from /var/tmp/rpm-tmp.14834 (%build)

Yep, missing BR on readline-devel. I also added one on openssl-devel
since bes depends on openssl-devel, even though there is already an
indirect dependency (through libdap-devel -> curl-devel -> openssl-devel).

http://www.environnement.ens.fr/perso/dumas/fc-srpms/bes-3.2.0-2.src.rpm

- add BuildRequires for readline-devel and openssl-devel



I had a look at configure.ac, and there is a (broken) macro to look for
kerberos, but after a look in the code, it doesn't seems to be used. 
kerberos is also pulled in as indirect dependency anyway.

The autoconf macros related with kerberos and openssl are broken,
but the libs/headers are in the standard places, and kerberos is unneeded
so everything is right. I'll try to work that out with upstream.

I know that there are many unneeded dependencies on sonames, as
ldd -u -r says, most of them come from libdap flags, I am also working
that out with upstream.
Comment 3 Patrice Dumas 2006-12-08 09:05:03 EST
If you review the package, you should set its state to ASSIGNED, and 
add yourself in the 'Rassign bug to' box.
Comment 4 Bernard Johnson 2006-12-08 17:08:58 EST
I am providing you a review, but I do not have a contributor account (no
sponsor), so I can't assign the bug to myself.

rpmlint is quiet on all files
mock-build FC6 is successful

MUST Items:
- MUST: The License field in the package spec file must match the actual license.

I did not see the license in the source file or on the website.  A review of one
of the source files seems to indicate that it is LGPL.  This would not be
considered "bsd-like".  Please work with upstream on getting the LGPL license
document included in the source file, and then add it to the %doc section.

I think you have a well put together package.  If you have the facilities, in
the future try to mock-build your packages first as that will tend to weed out
the missing BuildRequires.

Do continue to pursue upstream regarding any build issues (broken autotools
etc.) or dependency bloat.

This ends my review.  Flipping you back to FE-NEW so that you can have a
sponsored reviewer make an official review.

 
Comment 5 Patrice Dumas 2006-12-08 17:26:06 EST
Indeed, it seems to be LGPL. I really dunno how I managed to 
miss that! Thanks. I'll also mention that the COPYING file is missing
to upstream when I contact them.

Corrected in:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/bes-3.2.0-2.src.rpm

- set License to LGPL
Comment 7 Kevin Fenzi 2007-06-02 23:43:13 EDT
Hey Bernard. You are long since sponsored... would you like to offically review
this package now? 
Comment 8 Patrice Dumas 2007-06-03 04:07:36 EDT
I will update to the latest version, there has been many changes 
and bugfixes upstream. Also it may be possible to
package the tomcat front-end now that there is java 5 in fedora.
However bes is a pre-requisite (and if it is accepted it will 
require rebuilding all the dap-*_handlers, dap-server prior to 
be able to have something functional).
Comment 10 Bernard Johnson 2007-06-08 15:40:35 EDT
I'll try to see if I can complete a review on this.  The new build requirements
require F8 or greater, which is hard for me to work with, so I'm using koji
scratch builds.  I won't be able to test the resulting binaries because of this too.

My koji scratch build fails:

http://koji.fedoraproject.org/koji/taskinfo?taskID=31473
Comment 11 Kevin Fenzi 2007-06-08 15:52:38 EDT
Hey Bernard. If you need a test box, feel free to drop me a private mail with
your ssh key and I can give you access to a f8/devel box here for mockbuilds. 
Comment 12 Patrice Dumas 2007-06-08 16:05:08 EDT
(In reply to comment #10)
> I'll try to see if I can complete a review on this.  The new build requirements
> require F8 or greater, which is hard for me to work with,

Unfortunately the requirement of the newest libdap is from
upstream. But it somehow corresponds with the fact that development 
of bes, libdap (and the dap_handlers) are tightly linked.

> My koji scratch build fails:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=31473

Seems like some files created by doxygen on my box aren't generated
in koji. I'll retry the builds.
Comment 13 Patrice Dumas 2007-06-08 17:41:06 EDT
The error was a missing BR on graphviz. Fixed in:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/bes.spec
http://www.environnement.ens.fr/perso/dumas/fc-srpms/bes-3.5.1-2.fc8.src.rpm



I am in vacations for 1 week, so don't worry if I don't act 
rapidly.
Comment 14 Bernard Johnson 2007-06-11 21:33:21 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: F8 / i386
 [x] Rpmlint output:
       E: bes-devel script-without-shebang /usr/share/bes/templates/conf/ltmain.sh
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: LGPL
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : a1c8469f4ae2addb432b8b10ce8660a6
     MD5SUM upstream package: a1c8469f4ae2addb432b8b10ce8660a6
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [x] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=31790
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=31790
 [?] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1. Please justify rpmlint output (above).
2. Please ping upstream regarding including a license text file.

=== Final Notes ===
1.
Comment 15 Patrice Dumas 2007-06-16 20:15:50 EDT
(In reply to comment #14)

>  [x] Rpmlint output:
>        E: bes-devel script-without-shebang /usr/share/bes/templates/conf/ltmain.sh

> === Issues ===
> 1. Please justify rpmlint output (above).

ltmain.sh is a file coming from libtool. It is included as part
of a template used when running /usr/bin/besCreateModule
to help creation of new modules usable with bes.

> 2. Please ping upstream regarding including a license text file.

Done.
Comment 16 Bernard Johnson 2007-06-16 20:48:02 EDT
================
*** APPROVED ***
================

Comment 17 Patrice Dumas 2007-06-17 13:08:20 EDT
New Package CVS Request
=======================
Package Name: bes
Short Description: Back-end server software framework for OPeNDAP
Owners: pertusus[ AT ]free.fr
Branches: 
InitialCC: 


I'll only do a devel branch. Thanks for the review.
Comment 18 Kevin Fenzi 2007-06-18 01:04:46 EDT
cvs done.
Comment 19 Patrice Dumas 2007-06-18 04:32:55 EDT
Built in devel.

Note You need to log in before you can comment on or make changes to this bug.